﻿@import url('https://fonts.googleapis.com/css?family=Sarabun&display=swap');

*, *:before, *:after {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

html {
    height: 100%;
    background-image: url('../../Admission/image/header_canvas.png'), url('../../Admission/image/bg_canvas.jpg');
    background-repeat: no-repeat, repeat;
    background-position: top right, top left;
    background-size: 115% 85px, 420px 420px;
}

body {
    padding: 0;
    margin: 0;
    color: #444;
    background-color: transparent;
    overflow: auto;
}

    body.OAbody {
        background-image: none;        
        background-color: transparent;
        overflow: auto;
    }

.FormStyle {
    margin-top: 60px;
}

/*** Login ***/

#tbHeader {
    box-shadow: 6px 0px 12px rgba(0,0,0,.175);
    display: none;
}

.FormLoginStyle {
    width: 950px;
    margin-bottom: 10px;
}

.FormLoginContent {
    margin-bottom: 30px;
}

    .FormLoginContent > table > tbody > tr:first-child {
        height: 125px;
    }

.FontTitleSignIn {
    font-size: 22px;
    color: #333;
}

#divFoot {
    margin-top: 25px;
    display: none;
}

.TextBoxFormLogin {
    border: 1px solid #bbb;
    padding: 2px 5px;
    border-radius: 2px;
    width: 60%;
}

.divOAMenu {
    border: none;
    box-shadow: 1px 1px 8px #444;
    margin-top: 50px;
    padding: 15px;
}

.letter {
    background: #fff;
    box-shadow: 0 0 10px rgba(0,0,0,0.3);
    margin: 26px auto 0;
    max-width: 800px;
    min-height: 300px;
    padding: 24px;
    position: relative;
    width: 80%;
}

    .letter:before, .letter:after {
        content: "";
        height: 98%;
        position: absolute;
        width: 100%;
        z-index: -1;
    }

    .letter:before {
        background: #fafafa;
        box-shadow: 0 0 8px rgba(0,0,0,0.2);
        left: -5px;
        top: 4px;
        transform: rotate(-2.5deg);
    }

    .letter:after {
        background: #f6f6f6;
        box-shadow: 0 0 3px rgba(0,0,0,0.2);
        right: -3px;
        top: 1px;
        transform: rotate(1.4deg);
    }

#btnRegister {
    font-size: 20px;
}

#hlForgotPassword {
    margin-left: 40px;
}

#registerMsg {
    font-size: 16px;
    width: 330px;
    text-align: left;
    margin: 25px 0;
    font-weight: normal;
}

#regTD {
    vertical-align: top;
}

#tdLine {
    vertical-align: top;
}

#tableLine {
    height: 170px;
}

#tdLine div:nth-child(2), #tdLine div:nth-child(3) {
    display: none;
}

#btnLogin {
    margin-right: 39px;
}

#tbLogin > tbody > tr > td > div > table > tbody > tr > td:nth-child(2),
#tbLogin > tbody > tr > td > div > table > tbody > tr > td:nth-child(3) {
    display: none;
}

#tbLogin .tb-login-content {
    width: 100%;
}

/**********************/


.float-layout {
    width: 100%;
    padding: 0 20px;
    margin-bottom: 20px;
    min-width: 1000px;
}

.float-box {
    width: 100%;
    background-color: white;
    padding: 0 20px;
    padding-bottom: 20px;
    padding-top: 30px;
    line-height: 16px;
}

.Header {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 18px;
    color: #000000;
}

.float-box input[type='text'], .float-box input[type='password'], .float-box textarea, .float-box checkbox {
    border: 1px solid #ccc;
    padding: 5px 9px;
    border-radius: 3px;
    margin-left: 0px;
    line-height: inherit;
}

.float-box input[type='file'] {
    border: 1px solid #ccc;
    padding: 2px 2px;
    border-radius: 3px;
    margin-left: 0px;
    line-height: inherit;
    margin: 0;
}

.float-layout .row {
    overflow: auto;
    margin: 10px 0 10px 0;
}

    .float-layout .row .col:last-child {
        padding-right: 0;
    }

.float-layout .col {
    overflow: visible;
    float: left;
    padding-right: 20px;
}

.float-layout select {
    border: 1px solid #ccc;
    padding: 5px 9px;
    border-radius: 3px;
}

.ui-datepicker-month, .ui-datepicker-year {
    border: 1px solid #ccc;
    padding: 1px 2px;
    border-radius: 3px;
    font-size: 12px;
}

.float-box input[type='submit'], input[type='button'] {
    display: inline-block;
    padding: 4px 12px;
    margin-bottom: 0;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
    border-color: #0D8DE8;
    color: white;
    background-color: #007AC3;
    font-size: inherit;
    /*margin: 2px;
    margin-top:3px;*/
}

    .float-box input[type='submit']:disabled {
        color: #ddd;
        background-color: rgba(0,114,181,0.7);
        border-color: rgba(13,141,232,0.7);
        cursor: default;
    }

.float-box input[type='button'] {
    background-color: #fff;
    color: #333;
    border-color: #adadad;
}

.warning-box {
    background-color: #fcf8e3;
    border-radius: 4px;
    border: 2px solid #faebcc;
    color: #8a6d3b;
}

select[disabled],select[disabled='disabled'],input[type='text']:disabled,input[type='text'][disabled='disbled']{
    color: rgb(84, 84, 84);
    background-color: rgb(235, 235, 228);
}
